int tasterPin =  2;  // Pin für den Taster

int richtungA        = 12;  // Richtung Motor A
int geschwindigkeitA =  3;  // Geschwindigkeit Motor A
int bremseA          =  9;  // Bremse Motor A


void setup()
{
  // Taster-Pin als Eingang definieren
  pinMode(tasterPin, INPUT);     

  // Internen pull-up-Widerstand aktivieren
  pinMode(tasterPin, INPUT_PULLUP);

  // Motor A initialisieren
  //
  // Pin für Richtung Motor A als Ausgang
  pinMode(richtungA, OUTPUT);
  
  // Pin für Bremse Motor A als Ausgang
  pinMode(bremseA, OUTPUT);
  
  // Halbe Geschwindigkeit
  analogWrite(geschwindigkeitA, 128);

  // "Bremse anziehen" (Motor aus)
  // Man weiß ja nie...
  digitalWrite(bremseA, HIGH);
}


void loop()
{
  // Prüfen ob Taster gedrückt ist
  // (LOW = EIN, weil pull-up-Widerstand!)
  if (digitalRead(tasterPin) == LOW)
  {
    // eine Motorrichtung
    motorRichtung(HIGH);

    // Bremse lösen
    // Wird eigentlich nur beim ersten Tasterdruck benötigt.
    digitalWrite(bremseA, LOW);
  }
  else
  {
    // andere Motorrichtung
    motorRichtung(LOW);

    // Bremse lösen
    // Wird eigentlich nur beim ersten Tasterdruck benötigt.
    digitalWrite(bremseA, LOW);
  }
}


void motorRichtung(int richtung)
{
  // neue Motorrichtung stellen
  digitalWrite(richtungA, richtung);
}

