
// Da diese Variablen nicht verändert werden, steht hier ein const davor.
//
const int analogInPin  = A0;  // Analoger Pin, an dem das Poti angeschlossen ist.
const int analogOutPin = 13;  // Analoge Ausgabe auf der Arduino-LED.

int sensorWert = 0;        // Wert, der vom Sensor eingelesen wird.
float spannung = 0;        // Diese Variable enthält später die Spannung von 0-5 Volt.

void setup()
{
  // Initialisieren der seriellen Schnittstelle
  // zur Ausgabe der Spannungen
  Serial.begin(9600);
}


void loop()
{
  // Sensorwert einlesen
  sensorWert = analogRead(analogInPin);

  // Umrechnen von 0-1023 in 0-5 Volt
  //
  // Es wird gegen 500 gemapt, damit wir später 2 Nachkommmastellen haben!
  spannung = map(sensorWert, 0, 1023, 0, 500);

  // Anzeige auf dem Serial Monitor
  Serial.print("Sensorwert: " );
  Serial.print(sensorWert);
  
  
  Serial.print("\t Spannung: ");
  
  // Geteilt durch 100, für die Nachkommastellen!
  Serial.print(spannung / 100);
  Serial.println(" Volt");

  // wait 2 milliseconds before the next loop
  // for the analog-to-digital converter to settle
  // after the last reading:
  
  // 2 Millisekunden müssen bis zur nächsten Messung gewartet werden,
  // damit der Arduino wieder bereits ist zum Einlesen des nächsten Wertes!
  delay(2);
}

