int richtungA        = 12;  // Richtung Motor A
int richtungB        = 13;  // Richtung Motor B
int geschwindigkeitA =  3;  // Geschwindigkeit Motor A
int geschwindigkeitB = 11;  // Geschwindigkeit Motor B
int bremseA          =  9;  // Bremse Motor A
int bremseB          =  8;  // Bremse Motor B

int geschwindigkeit = 128 ; // Geschwindigkeit der Motoren. 255 ist der Maximalwert!


void setup()
{
  // Pins für Motorenrichtungen als Ausgang
  pinMode(richtungA, OUTPUT);
  pinMode(richtungB, OUTPUT);
  
  // Pins für Bremsen als Ausgang
  pinMode(bremseA, OUTPUT);
  pinMode(bremseB, OUTPUT);

  // Geschwindigkeiten setzen
  analogWrite(geschwindigkeitA, geschwindigkeit);
  analogWrite(geschwindigkeitB, geschwindigkeit);
  
  // "Bremse anziehen" (Motoren aus)
  // Man weiß ja nie...
  digitalWrite(bremseA, HIGH);
  digitalWrite(bremseB, HIGH);

  // Warte zur Sicherheit 2 Sekunden
  delay(2000);
}


void loop()
{
  // rechter Motor "vorwärts"
  digitalWrite(richtungA, HIGH);

  // "Bremse lösen". Los geht's!
  digitalWrite(bremseA, LOW);

  // 2 Sekunden fahren
  delay(2000);

  // "Bremsen anziehen" (Motor aus)
  digitalWrite(bremseA, HIGH);

  // 2 Sekunden stehen
  delay(2000);
  
  // linker Motor "vorwärts"
  digitalWrite(richtungB, HIGH);

  // "Bremse lösen". Los geht's!
  digitalWrite(bremseB, LOW);

  // 2 Sekunden fahren
  delay(2000);

  // "Bremse anziehen" (Motor aus)
  digitalWrite(bremseB, HIGH);

  // 2 Sekunden stehen
  delay(2000);
}

